import { loadNuxtConfig } from "@nuxt/kit";
import { useRuntimeConfig } from "#imports";
let moduleConfig = null;
export function getModuleConfig() {
  if (moduleConfig) {
    return Promise.resolve(moduleConfig);
  }
  const { graphqlMiddleware } = useRuntimeConfig();
  return loadNuxtConfig({
    cwd: graphqlMiddleware.rootDir
  }).then((v) => {
    moduleConfig = v.graphqlMiddleware;
    return v.graphqlMiddleware;
  });
}
